<?php

namespace Eform\Instruction\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class InstructionsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('eform_instruction_instructions')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'eform.instruction.instructions.view',
                'name'      => 'View Instructions',
            ],
            [
                'slug'      => 'eform.instruction.instructions.create',
                'name'      => 'Create Instructions',
            ],
            [
                'slug'      => 'eform.instruction.instructions.edit',
                'name'      => 'Update Instructions',
            ],
            [
                'slug'      => 'eform.instruction.instructions.delete',
                'name'      => 'Delete Instructions',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/instruction/instructions',
                'name'        => 'Instructions',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/instruction/instructions',
                'name'        => 'Instructions',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'instructions',
                'name'        => 'Instructions',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Instruction',
                'module'    => 'Instructions',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'eform.instruction.instructions.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
