<?php

namespace Eform\Instruction\Policies;

use Eform\Instruction\Models\InstructionCategory;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait InstructionCategoryAction
{

    /**
     * Determine if the given user can copy the given instruction_category.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, InstructionCategory $instruction_category)
    {

        if ($authUser->canDo('instruction.instruction_category.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given instruction_category.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, InstructionCategory $instruction_category) {

        if ($authUser->canDo('instruction.instruction_category.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given instruction_category.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, InstructionCategory $instruction_category)
    {

        if ($authUser->canDo('instruction.instruction_category.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
