<?php

namespace Eform\Instruction\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind InstructionCategory policy
        \Eform\Instruction\Models\InstructionCategory::class 
        => \Eform\Instruction\Policies\InstructionCategoryPolicy::class,// Bind Instructions policy
        \Eform\Instruction\Models\Instructions::class 
        => \Eform\Instruction\Policies\InstructionsPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
